Subject: [Geopriv] SIP Location Conveyance -03 submitted

From: "James M. Polk" <[email-masked]>
Date: Thu, 29 Jun 2006 14:54:13 -0500

Geopriv WG

Here is the forwarded message I sent to the SIP WG list indicating a new 
version of the SIP Location Conveyance ID is now available for review and 
comments (on the SIP list please!).

This is the document that specifies SIP as a Geopriv "Using Protocol" per 
RFC 3693 (Geopriv Requirements).

>Date: Thu, 29 Jun 2006 14:50:44 -0500
>To: [email-masked]
>From: "James M. Polk" <[email-masked]>
>Subject: SIP Location Conveyance -03 submitted
>
>I've submitted -03 of the SIP Location Conveyance ID for review and comments.
>
>http://www.ietf.org/internet-drafts/draft-ietf-sip-location-conveyance-03.txt
>
>    This is a list of the changes that have been made from the SIP WG
>    version -02 to this version -03:
>
>    - general clean-up of some of the sections
>
>    - removed the message examples from the UPDATE, MESSAGE and REGISTER
>      sections, as these seemed to be making the doc less readable, and
>      not more readable
>
>    - removed the "unknown" option tag, as it was not needed with a
>      certain combination of the Supported and Location headers
>
>    - clarified the location option tag usage in Supported, Require,
>      Unsupported, and that it shouldn't be used in Proxy-Require, and
>      why not.
>
>    - Added a basic message flow to the basic operation section (Section
>      4) to aid in understanding of this SIP extension.
>
>    - Added a message routing flow, which is based on the location of
>      the requestor to show how a SIP server can make a routing decision
>      to a destination based on where the UAC is.
>
>    - Articulated how a UAS concludes a UAC understands this extension,
>      yet does not know its location to provide to the UAS.  This is
>      helpful in those times where an intermediary will act differently
>      based on whether or not a UAC understands this extension, and
>      whether or not the UAC includes its location in the request.
>
>    - Corrected the erroneous text regarding an Unsupported header being
>      in a 424 response.  It belongs in a 420 response. (Section 5.1)
>
>    - Corrected the BNF (I hope)
>
>    - Corrected some text in Section 5 that read like this document was
>      an update to RFC 3261.

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv

---

From: Hannes Tschofenig <[email-masked]>
Date: Thu, 29 Jun 2006 23:13:35 +0200

I saw this mail too late and hence I posted my comments to the Geopriv 
and the SIP mailing list....

James M. Polk wrote:
> version of the SIP Location Conveyance ID is now available for review 
> and comments (on the SIP list please!).
> 
> This is the document that specifies SIP as a Geopriv "Using Protocol" 
> per RFC 3693 (Geopriv Requirements).
>

---

From: "James M. Polk" <[email-masked]>
Date: Thu, 29 Jun 2006 16:33:42 -0500

At 11:13 PM 6/29/2006 +0200, Hannes Tschofenig wrote:
>I saw this mail too late and hence I posted my comments to the Geopriv and 
>the SIP mailing list....

I moved that message back to the SIP list (by removing Geopriv), since the 
ID belongs to SIP.

---

From: Andrew Newton <[email-masked]>
Date: Thu, 29 Jun 2006 17:44:10 -0400

James M. Polk wrote:
> I moved that message back to the SIP list (by removing Geopriv), since 
> the ID belongs to SIP.

Which message?

Though this document is a SIP wg work item, isn't it one of our 
milestones?  Shouldn't it therefore be discussed here as well?

-andy

---

From: "James M. Polk" <[email-masked]>
Date: Thu, 29 Jun 2006 18:28:43 -0500

>milestones?  Shouldn't it therefore be discussed here as well?

I've had the SIP WG chairs bitch at me that this ID isn't getting the 
necessary attention in the SIP WG (during a massive thread on the Geopriv 
list), and were considering dropping the ID from their milestones.  They 
asked that this ID get discussed on the SIP list.  They do not subscribe to 
the Geopriv list, thus I'm kinda caught in the middle, with ECRIT 
(seriously) waiting on this doc to progress too.

I wouldn't mind if the WG chairs from SIP, Geopriv and ECRIT get together 
and make a decision where this is to be discussed.  I don't care.  I just 
want this doc to progress.

Any help you can provide would be greatly appreciated!

---

From: Andrew Newton <[email-masked]>
Date: Thu, 29 Jun 2006 22:28:48 -0400

On Jun 29, 2006, at 7:28 PM, James M. Polk wrote:
>
> I've had the SIP WG chairs bitch at me that this ID isn't getting  
> the necessary attention in the SIP WG (during a massive thread on  
> the Geopriv list), and were considering dropping the ID from their  
> milestones.  They asked that this ID get discussed on the SIP  
> list.  They do not subscribe to the Geopriv list, thus I'm kinda  
> caught in the middle, with ECRIT (seriously) waiting on this doc to  
> progress too.
>
> I wouldn't mind if the WG chairs from SIP, Geopriv and ECRIT get  
> together and make a decision where this is to be discussed.  I  
> don't care.  I just want this doc to progress.
>

If the SIP wg co-chairs believe this document is not getting the  
necessary review in the SIP wg, then this document should be moved  
over to GEOPRIV.

Are there any objections to this?

-andy

---

From: "James M. Polk" <[email-masked]>
Date: Thu, 29 Jun 2006 21:46:01 -0500

>Are there any objections to this?

Here're my druthers:  let's see what happens in 11 days (SIP is Monday at 
1300 local time, and I present in that session).  If it doesn't move, then 
you can have a conversation with Dean and Keith.  If it appears to be 
moving in SIP, then I think that's the fastest way to RFC, because there 
are few open issues remaining, if any.

---

From: Hannes Tschofenig <[email-masked]>
Date: Fri, 30 Jun 2006 08:55:49 +0200

Hi James,

James M. Polk wrote:
>>>> I saw this mail too late and hence I posted my comments to the 
>>>> Geopriv and the SIP mailing list....
>>>
>>> I moved that message back to the SIP list (by removing Geopriv), 
>>> since the ID belongs to SIP.
>>
>>
>> Which message?
>>
> necessary attention in the SIP WG (during a massive thread on the 
> Geopriv list), and were considering dropping the ID from their 
> milestones.  They asked that this ID get discussed on the SIP list.  
> They do not subscribe to the Geopriv list, thus I'm kinda caught in the 
> middle, with ECRIT (seriously) waiting on this doc to progress too.

I think the problem is that the document is supposed to be discussed in 
SIP whereas the people who worry about location are in Geopriv. I 
personally think that the I-D is in the wrong working group. SIP is 
particularly a bad place since the group seems to have problems with 
progress due to their large number of documents.

Why don't you move the document to the Geopriv working group?

> together and make a decision where this is to be discussed.  I don't 
> care.  I just want this doc to progress.
> 

Ciao
Hannes

---

From: Hannes Tschofenig <[email-masked]>
Date: Fri, 30 Jun 2006 08:57:07 +0200

I support your idea.

Andrew Newton wrote:
>> They do not subscribe to the Geopriv list, thus I'm kinda  caught in 
>> the middle, with ECRIT (seriously) waiting on this doc to  progress too.
>>
> necessary review in the SIP wg, then this document should be moved  over 
> to GEOPRIV.
>